/*
 * Copyright (c) Ondrej Brablc, 2001 <brablc@yahoo.com>
 * You can use, modify, distribute this source code  or
 * any other parts of BlockPro plugin only according to
 * BlockPro  License  (see  \Doc\License.txt  for  more
 * information).
 */

#ifndef __RTPARAMS_H
#define __RTPARAMS_H

class RunTimeParameters
{
    public:
        RunTimeParameters();
        ~RunTimeParameters();
        bool Translate(char * pCaption, char * pCommand, int pSize);
        void ClearCache();

    private:
        void AddItem(struct InitDialogItem & item,
                     unsigned char pType,
                     unsigned int  pX1,
                     unsigned int  pY1,
                     unsigned int  pX2,
                     unsigned int  pY2,
                     unsigned int  pSelected,
                     unsigned int  pFlags,
                     char * pData);

        bool Execute();
        bool cached;
        char inCommand[NM*4];
        char outCommand[NM*8];

        char * prevLabel;
        char * caption;
        char help[80];
};

#endif // __RTPARAMS_H
